﻿@model Bacchus.ViewModels.AuctionViewModel
@{
    ViewBag.Title = "Auction";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h2>Bacchus</h2>

<p>
    @Html.DropDownListFor(m => m.Categories, new SelectList(Model.Categories, "Value", "Text"), htmlAttributes: new { @class = "form-control", @id = "Categories" })
</p>
<table id="tblProducts"  class="table">
    <thead>
        <tr>
            <th>@Html.DisplayNameFor(model => model.Products.FirstOrDefault().productName)</th>
            <th>@Html.DisplayNameFor(model => model.Products.FirstOrDefault().productDescription)</th>
            <th>@Html.DisplayNameFor(model => model.Products.FirstOrDefault().productCategory)</th>
            <th>@Html.DisplayNameFor(model => model.Products.FirstOrDefault().biddingEndDate)</th>
            <th></th>
        </tr>
    </thead>
    @foreach (var item in Model.Products)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.productName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.productDescription)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.productCategory)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.biddingEndDate)
            </td>
            <td>
                @Html.ActionLink("Bid", "Bid", new { productId = item.productId })
            </td>
        </tr>
    }
</tableid="tblProducts">
@section Scripts {
    <script type="text/javascript">
        $(document).ready(function () {
            //Dropdownlist Selectedchange event
            $("#Categories").change(function () {
                $("#tblProducts tbody tr").remove();
                $.ajax({
                    type: 'POST',
                    url: '@Url.Action("FilterCategory")', // we are calling json method
                    dataType: 'json',
                    data: { category: $("#Categories option:selected").text() },
                    success: function (data) {
                        var items = '';
                        $.each(data, function (i, item) {
                          var newLink = '<a href="@Url.Action("Bid")?productId=' + item.productId + '">Bid</a>';
                            var rows = "<tr>"
                                + "<td>" + item.productName + "</td>"
                                + "<td>" + item.productDescription + "</td>"
                                + "<td>" + item.productCategory + "</td>"
                                + "<td>" + item.biddingEndDate + "</td>"
                                + "<td>" + newLink + "</td>"
                                + "</tr>"
                            $('#tblProducts tbody').append(rows);
                        });
                    },
                    error: function (ex) {
                        var r = jQuery.parseJSON(response.responseText);
                        alert("Message: " + r.Message);
                        alert("StackTrace: " + r.StackTrace);
                        alert("ExceptionType: " + r.ExceptionType);
                    }
                });
                return false;
            })
        });
</script>  
}
